Package io.flutter.plugin.platform

# Class PlatformPlugin

java.lang.Object
io.flutter.plugin.platform.PlatformPlugin

public class PlatformPlugin extends Object
Android implementation of the platform plugin.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `PlatformPlugin.PlatformPluginDelegate`
  The `PlatformPlugin` generally has default behaviors implemented for platform functionalities requested by the Flutter framework.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DEFAULT_SYSTEM_UI`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlatformPlugin(Activity activity, PlatformChannel platformChannel)`
  `PlatformPlugin(Activity activity, PlatformChannel platformChannel, PlatformPlugin.PlatformPluginDelegate delegate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  Releases all resources held by this `PlatformPlugin`.
  `void`
  `updateSystemUiOverlays()`
  Refreshes Android's window system UI (AKA system chrome) to match Flutter's desired `PlatformChannel.SystemChromeStyle`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_SYSTEM_UI

    public static final int DEFAULT_SYSTEM_UI
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PlatformPlugin

    public PlatformPlugin(@NonNull Activity activity, @NonNull PlatformChannel platformChannel)

  - ### PlatformPlugin

    public PlatformPlugin(@NonNull Activity activity, @NonNull PlatformChannel platformChannel, @Nullable PlatformPlugin.PlatformPluginDelegate delegate)

- ## Method Details

  - ### destroy

    public void destroy()
    Releases all resources held by this `PlatformPlugin`.

    Do not invoke any methods on a `PlatformPlugin` after invoking this method.

  - ### updateSystemUiOverlays

    public void updateSystemUiOverlays()
    Refreshes Android's window system UI (AKA system chrome) to match Flutter's desired `PlatformChannel.SystemChromeStyle`.

    Updating the system UI Overlays is accomplished by altering the decor view of the `Window` associated with the `Activity` that was provided to this `PlatformPlugin`.